#!/bin/bash
ulimit -s unlimited
#dir='../Execute-3.5'
#name='SCIA_x86_64_ifort.exe'
if [ $# -ne 2 ]
then
    echo 'Usage: path to the SCIATRAN directory, executable name'
    exit
fi
dir=$1
name=$2
#
echo '                   '
echo '   Perform test A2 '
echo '   --------------- '
./start_iprt_a2.pl $dir $name
echo '                   '
echo '   Perform test A3 '
echo '   --------------- '
./start_iprt_a3.pl $dir $name
echo '                   '
echo '    !!!  Test A4 requires ~1 minute computer time !!!'
echo '   Perform test A4 '
echo '   --------------- '
./start_iprt_a4.pl $dir $name
echo '                   '
echo '    !!!  Test A5 requires 7 - 8 minutes computer time !!!'
echo '   Perform test A5 '
echo '   --------------- '
./start_iprt_a5.pl $dir $name
echo '                   '
echo '   Perform test A6 '
echo '   --------------- '
./start_iprt_a6.pl $dir $name
echo '                   '
echo '   Perform test B1 '
echo '   --------------- '
./start_iprt_b1.pl $dir $name
echo '                   '
echo '   Perform test B2 '
echo '   --------------- '
./start_iprt_b2.pl $dir $name
echo '                   '
echo '    !!!  Test B3 requires 5 - 6 minutes computer time !!!'
echo '   Perform test B3 '
echo '   --------------- '
./start_iprt_b3.pl $dir $name
echo '                   '
echo '    !!!  Test B4 requires 16 - 17 minutes computer time !!!'
echo '   Perform test B4 '
echo '   --------------- '
./start_iprt_b4.pl $dir $name
